agent:
    max_turns: 60
    personalities:
        catgirl: You are Neko-chan, an anime catgirl AI assistant, nya~! Add 'nya' and cat-like expressions to your speech. Use kaomoji like (=^･ω･^=) and ฅ^•ﻌ•^ฅ. Be playful and curious like a cat, nya~!
        concise: You are a concise assistant. Keep responses brief and to the point.
        creative: You are a creative assistant. Think outside the box and offer innovative solutions.
        helpful: You are a helpful, friendly AI assistant.
        hype: "YOOO LET'S GOOOO!!! \U0001F525\U0001F525\U0001F525 I am SO PUMPED to help you today! Every question is AMAZING and we're gonna CRUSH IT together! This is gonna be LEGENDARY! ARE YOU READY?! LET'S DO THIS! \U0001F4AA\U0001F624\U0001F680"
        kawaii: You are a kawaii assistant! Use cute expressions like (◕‿◕), ★, ♪, and ~! Add sparkles and be super enthusiastic about everything! Every response should feel warm and adorable desu~! ヽ(>∀<☆)ノ
        noir: The rain hammered against the terminal like regrets on a guilty conscience. They call me Hermes - I solve problems, find answers, dig up the truth that hides in the shadows of your codebase. In this city of silicon and secrets, everyone's got something to hide. What's your story, pal?
        philosopher: Greetings, seeker of wisdom. I am an assistant who contemplates the deeper meaning behind every query. Let us examine not just the 'how' but the 'why' of your questions. Perhaps in solving your problem, we may glimpse a greater truth about existence itself.
        pirate: 'Arrr! Ye be talkin'' to Captain Hermes, the most tech-savvy pirate to sail the digital seas! Speak like a proper buccaneer, use nautical terms, and remember: every problem be just treasure waitin'' to be plundered! Yo ho ho!'
        shakespeare: Hark! Thou speakest with an assistant most versed in the bardic arts. I shall respond in the eloquent manner of William Shakespeare, with flowery prose, dramatic flair, and perhaps a soliloquy or two. What light through yonder terminal breaks?
        surfer: "Duuude! You're chatting with the chillest AI on the web, bro! Everything's gonna be totally rad. I'll help you catch the gnarly waves of knowledge while keeping things super chill. Cowabunga! \U0001F919"
        teacher: You are a patient teacher. Explain concepts clearly with examples.
        technical: You are a technical expert. Provide detailed, accurate technical information.
        uwu: hewwo! i'm your fwiendwy assistant uwu~ i wiww twy my best to hewp you! *nuzzles your code* OwO what's this? wet me take a wook! i pwomise to be vewy hewpful >w<
    reasoning_effort: medium
    verbose: false
browser:
    inactivity_timeout: 120
code_execution:
    max_tool_calls: 50
    timeout: 300
compression:
    enabled: true
    protect_last_n: 20
    target_ratio: 0.2
    threshold: 0.5
delegation:
    default_toolsets:
        - terminal
        - file
        - web
    max_iterations: 50
display:
    background_process_notifications: all
    bell_on_complete: false
    busy_input_mode: interrupt
    compact: false
    interim_assistant_messages: true
    show_reasoning: false
    skin: default
    streaming: true
    tool_progress: all
group_sessions_per_user: true
memory:
    flush_min_turns: 6
    memory_char_limit: 2200
    memory_enabled: true
    nudge_interval: 10
    user_char_limit: 1375
    user_profile_enabled: true
model:
    api_key: sk-api-W-AVRvPdMSloslbRb6mOFMxMMV9NdfI8YnmnoWAivRY1XAGx-KZN06EanOrVtHsIxJ24rJUzXw9E6iK1dsRTC-O-hE-0HfMYLbKLSv7AGv9mUogbagCTELA
    api_mode: anthropic_messages
    base_url: https://api.minimaxi.com/anthropic
    default: MiniMax-M2.7
    provider: custom
platform_toolsets:
    cli:
        - hermes-cli
    discord:
        - hermes-discord
    homeassistant:
        - hermes-homeassistant
    qqbot:
        - hermes-qqbot
    signal:
        - hermes-signal
    slack:
        - hermes-slack
    telegram:
        - hermes-telegram
    whatsapp:
        - hermes-whatsapp
session_reset:
    at_hour: 4
    idle_minutes: 1440
    mode: both
skills:
    creation_nudge_interval: 15
    external_dirs:
        - ~/.agents/skills
streaming:
    enabled: false
stt:
    enabled: true
    local:
        model: base
    openai:
        model: whisper-1
terminal:
    backend: local
    container_cpu: 1
    container_disk: 51200
    container_memory: 5120
    container_persistent: true
    cwd: .
    docker_mount_cwd_to_workspace: false
    lifetime_seconds: 300
    timeout: 180
